part of 'app_test.dart';

class WelcomeTest {
  static Future signInToSignUp() async {
    _setUpAllUnlogged();
    testWidgets('Sign-In to Sign-Up', (WidgetTester tester) async {
      await tester.pumpWidget(const App());
      tester.printToConsole('WelcomeTest - Navigate to Sign-Up to Sign-In');
      await tester.pumpAndSettle();
      tester.printToConsole('WelcomeTest - Navigate Sign-In');
      await _navigateToSignIn(tester);
      tester.printToConsole('WelcomeTest - Navigate Sign-Up');
      await _navigateToSignUp(tester);
      await tester.pumpAndSettle();
      await Future.delayed(const Duration(milliseconds: 500));
      return;
    });
    _tearDownAll();
  }

  static Future signUpToSignIn() async {
    _setUpAllUnlogged();
    testWidgets('Sign-Up to Sign-In', (WidgetTester tester) async {
      await tester.pumpWidget(const App());
      tester.printToConsole('WelcomeTest - Navigate to Sign-In to Sign-Up');
      await tester.pumpAndSettle();
      await _navigateToSignUp(tester);
      tester.printToConsole('WelcomeTest - Navigate Sign-Up');
      await _navigateToSignIn(tester);
      tester.printToConsole('WelcomeTest - Navigate Sign-In');
      await tester.pumpAndSettle();
      await Future.delayed(const Duration(milliseconds: 500));
      return;
    });
    _tearDownAll();
  }
}
